framework:
    workflows:
        usuario:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Sso\SsoUser
            initial_marking: HABILITADO
            places:
                - HABILITADO
                - DESHABILITADO
            transitions:
                deshabilitar:
                    from: HABILITADO
                    to:   DESHABILITADO
                habilitar:
                    from: DESHABILITADO
                    to:   HABILITADO
        registro:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Sso\Registro\RegistroAspirante
            initial_marking: Iniciado
            places:
                - Iniciado
                - Adjuntos
                - Correo
                - Escuela
                - Rechazado
                - Rechazado_previo
                - Confirmado
                - Confirmado_escuela
                - Confirmado_previo
                - Vencido
            transitions:
                adjuntos:
                    from: Iniciado
                    to:   Adjuntos
                notificar:
                    from: Adjuntos
                    to:   Correo
                confirmar:
                    from: Correo
                    to:   Confirmado
                ver_escuela:
                    from: Correo
                    to:   Escuela
                acepta_escuela:
                    from: [Escuela, Confirmado_previo]
                    to:   Confirmado_escuela
                rechaza_previo:
                    from: Confirmado_previo
                    to:   Rechazado_previo
                rechaza_escuela:
                    from: Escuela
                    to:   Rechazado
                vencio:
                    from: Iniciado
                    to:   Vencido
        antecedente_presentacion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\RIA\PresentacionAntecedentes
            initial_marking: Borrador
            places:
                - Borrador
                - Presentado
                - Recibido
                - Observado
                - Rechazado
            transitions:
                guardar:
                    from: Borrador
                    to:   Borrador
                presentar:
                    from: Borrador
                    to:   Presentado
                reabrir:
                    from: Presentado
                    to:   Borrador
                guardar_eva:
                    from: Presentado
                    to:   Presentado
                admitir:
                    from: [Presentado, Rechazado, Observado, Recibido]
                    to:   Recibido
                observar:
                    from: [Observado, Presentado, Rechazado, Recibido]
                    to:   Observado
                rechazar:
                    from: [Presentado, Recibido, Observado, Rechazado]
                    to:   Rechazado
                reiniciar:
                    from: Rechazado
                    to:   Borrador
        eva_presentacion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Evaluacion\EVAPresentacionAntecedentes
            initial_marking: Trabajado
            places:
                - Trabajado
                - Tomado
            transitions:
                tomar:
                    from: Trabajado
                    to:   Tomado
                liberar:
                    from: Tomado
                    to:   Trabajado
                liberarAdmin:
                    from: Tomado
                    to:   Trabajado
        notificacion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Sso\Notificacion\Notificacion
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                guardar:
                    from: Borrador
                    to:   Borrador
                publicar:
                    from: Borrador
                    to:   Publicado
        notificacion_usuario:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Sso\Notificacion\NotificacionUsuario
            initial_marking: Publicado
            places:
                - Publicado
                - Enviado_mail
                - Leido
            transitions:
                enviado_mail:
                    from: Publicado
                    to:   Enviado_mail
                leido:
                    from: [ Enviado_mail, Publicado ]
                    to:   Leido